All Products
- All Products
Rename Saved Search
* This field is required
Confirm Deletion
Are you sure you want to delete the saved search?
{ "processingTime": 170, "offset": 0, "limit": 50, "totalCount": 9, "classType": "com.infa.cdmp.marketplace.DataCollection", "items": [ { "customAttributeId": "com.infa.odin.models.custom.ca_7821688086685433570", "name": "GDPR Compliance Required", "status": "PUBLISHED", "mandatory": true, "searchable": false, "defaultValues": ["false"], "datatype": { "type": "BOOLEAN", "properties": null, "dropDownOptions": null } }, { "customAttributeId": "com.infa.odin.models.custom.ca_3184028726397751640", "name": "Date of Issue", "status": "PUBLISHED", "mandatory": false, "searchable": false, "defaultValues": ["2023-09-05"], "datatype": { "type": "DATE", "properties": null, "dropDownOptions": null } }, { "customAttributeId": "com.infa.odin.models.custom.ca_6928840635020975219", "name": "Consumption Rate", "status": "PUBLISHED", "mandatory": true, "searchable": true, "defaultValues": ["45.6"], "datatype": { "type": "DECIMAL", "properties": null, "dropDownOptions": null } }, { "customAttributeId": "com.infa.odin.models.custom.ca_7907323524500803261", "name": "Requirement", "status": "PUBLISHED", "mandatory": true, "searchable": false, "defaultValues": ["Secure Data Transfer"], "datatype": { "type": "RICH_TEXT", "properties": null, "dropDownOptions": null } }, { "customAttributeId": "com.infa.odin.models.custom.ca_1535512762047882544", "name": "User Count", "status": "PUBLISHED", "mandatory": true, "searchable": false, "defaultValues": ["10"], "datatype": { "type": "INTEGER", "properties": null, "dropDownOptions": null } }, { "customAttributeId": "com.infa.odin.models.custom.ca_8610145587620226269", "name": "Network Stack", "status": "PUBLISHED", "mandatory": false, "searchable": false, "defaultValues": ["Reticulum"], "datatype": { "type": "DROPDOWN_SINGLE_SELECT", "properties": {"multivalued": "false"}, "dropDownOptions": [ { "value": "Reticulum", "label": "Reticulum" }, { "value": "libp2p", "label": "libp2p" } ] } }, { "customAttributeId": "com.infa.odin.models.custom.ca_5588843841075376340", "name": "Network Protocol", "status": "PUBLISHED", "mandatory": true, "searchable": false, "defaultValues": ["LXMF"], "datatype": { "type": "PLAIN_TEXT", "properties": null, "dropDownOptions": null } }, { "customAttributeId": "com.infa.odin.models.custom.ca_1007408542741800522", "name": "Is Critical", "status": "PUBLISHED", "mandatory": true, "searchable": true, "defaultValues": ["false"], "datatype": { "type": "BOOLEAN", "properties": null, "dropDownOptions": null } }, { "customAttributeId": "com.infa.odin.models.custom.ca_3068304325528979652", "name": "Cloud Platform", "status": "PUBLISHED", "mandatory": false, "searchable": true, "defaultValues": ["Apache CloduStack"], "datatype": { "type": "DROPDOWN_MULTI_SELECT", "properties": {"multivalued": "true"}, "dropDownOptions": [ { "value": "Apache CloduStack", "label": "Apache CloduStack" }, { "value": "Microsoft Azure", "label": "Microsoft Azure" }, { "value": "Google Cloud Platform", "label": "Google Cloud Platform" }, { "value": "Amazon Web Services", "label": "Amazon Web Services" } ] } } ] }
Parameter
| Description
|
|---|---|
classType
| The type of object for which the custom field details were retrieved.
This parameter can have one of the following values:
|
items > customAttributeId
| The system generated unique identifier of the custom field in
Metadata Command Center .
|
items > name
| The name of the custom field, as configured in
Metadata Command Center .
|
items > status
| The status of the custom field, as configured in
Metadata Command Center .
This parameter returns only the custom fields that are in
PUBLISHED state. This indicates that the custom fields are displayed in
Data Marketplace .
|
items > mandatory
| This parameter's value determines whether or not the custom field is mandatory.
This parameter can have one of the following values:
|
items > searchable
| This parameter's value determines whether or not you can use the custom field to search for a data collection.
This parameter can have one of the following values:
|
items > defaultValues
| The default value of the custom field, as configured in
Metadata Command Center .
|
items > datatype > type
| The type of the custom field, as configured in
Metadata Command Center .
|
items > datatype > properties
| The subtype of the custom field, as configured in
Metadata Command Center .
The value of the
properties parameter depends on the value configured for the
type parameter.
|
items > datatype > dropDownOptions
| The values that are acceptable inputs to the custom field, as configured in
Metadata Command Center .
This parameter is displayed in the response body only if the custom field is of type
DROPDOWN_SINGLE_SELECT .
|